Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.context.servlet
Class AbstractAttributeMap

    java.lang.Object
      org.apache.myfaces.context.servlet.AbstractAttributeMap

All Implemented Interfaces:
  java.util.Map

Direct Known Subclasses:
  ApplicationMap, ApplicationMap, CookieMap, InitParameterMap, InitParameterMap, RequestHeaderMap, RequestHeaderMap, RequestHeaderValuesMap, RequestHeaderValuesMap, RequestMap, RequestMap, RequestParameterMap, RequestParameterMap, RequestParameterValuesMap, RequestParameterValuesMap, SessionMap, SessionMap

public abstract class AbstractAttributeMap
extends java.lang.Object
implements java.util.Map

Helper Map implementation for use with different Attribute Maps.

Version:
  $Revision: 169649 $ $Date: 2005-05-11 11:47:12 -0400 (Wed, 11 May 2005) $
Author:
  Anton Koinov (latest modification by $Author: grantsmith $)

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Constructor Summary
`AbstractAttributeMap()`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object findValue)`
`java.util.Set` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object key)`
`protected abstract java.lang.Object` | `getAttribute(java.lang.String key)`
`protected abstract java.util.Enumeration` | `getAttributeNames()`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map t)`
`java.lang.Object` | `remove(java.lang.Object key)`
`protected abstract void` | `removeAttribute(java.lang.String key)`
`protected abstract void` | `setAttribute(java.lang.String key, java.lang.Object value)`
`int` | `size()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### AbstractAttributeMap

    public AbstractAttributeMap()

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map`

### containsValue

    public boolean containsValue(java.lang.Object findValue)

  Specified by:
    `containsValue` in interface `java.util.Map`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`

### putAll

    public void putAll(java.util.Map t)

  Specified by:
    `putAll` in interface `java.util.Map`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`

### getAttribute

    protected abstract java.lang.Object getAttribute(java.lang.String key)

### setAttribute

    protected abstract void setAttribute(java.lang.String key,
                                         java.lang.Object value)

### removeAttribute

    protected abstract void removeAttribute(java.lang.String key)

### getAttributeNames

    protected abstract java.util.Enumeration getAttributeNames()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD